# Prevents wallpaper/screensaver fingerprinting... (annyoing!)
echo "[ST] Prevent wallpaper/screensaver fingerprinting... "
osascript -e 'tell application "System Events" to set picture of desktop 1 to POSIX file "/System/Library/Desktop Pictures/Solid Colors/Black.png"'
sudo defaults write /Library/Preferences/com.apple.screensaver modulePath -string "/System/Library/Screen Savers/Blank.saver"
defaults -currentHost write com.apple.screensaver modulePath -string "/System/Library/Screen Savers/Blank.saver"
defaults -currentHost write com.apple.screensaver idleTime -int 666 # Adjust time in seconds as needed

# Set the key repeat faster (somewhat annoying.)
echo "[ST] Set the key repeat faster..."
defaults write NSGlobalDomain KeyRepeat -int 3

# Set the delay of key repeat a short time (somewhat annoying.)
echo "[ST] Set the delay of key repeat a short time..."
defaults write NSGlobalDomain InitialKeyRepeat -int 15

# Disable click desktop to reveal (VERY annoying! why is this even default!?!)
echo "[ST] Disable click desktop to reveal..."
defaults write com.apple.WindowManager EnableStandardClickToShowDesktop -bool false
killall WindowManager

# Disable hot corners (annoying!)
echo "[ST] Disable hot corners..."
defaults write com.apple.dock wvous-tl-corner -int 0
defaults write com.apple.dock wvous-tr-corner -int 0
defaults write com.apple.dock wvous-bl-corner -int 0
defaults write com.apple.dock wvous-br-corner -int 0

# Add nightshift (it's annoying to have a lack of sleep. lol.)
echo "[ST] Enable nightshift..."
defaults write com.apple.ncprefs NightShiftMode -bool true
defaults write com.apple.ncprefs NightShiftAutomaticStart -date "2024-10-30 19:00:00"
defaults write com.apple.ncprefs NightShiftAutomaticEnd -date "2024-10-31 07:00:00"
defaults write com.apple.ncprefs NightShiftFrequency -int 1
sudo killall SystemUIServer

# Disable natural scrolling (super annoying!)
echo "[ST] Disable natural scrolling..."
defaults write com.apple.swipescrolldirection -bool false
defaults write com.apple.mouse.scaling -int 0
killall Dock